Subject: bug#44128: [feature/native-comp]

From: Phil Sainty <[email-masked]>
Date: Sat, 17 Apr 2021 00:59:02 +1200

On 17/04/21 12:20 am, Eli Zaretskii wrote:
>> For clarity, by the directory "where it was invoked" do you mean
>> the arbitrary directory from which the user runs "emacs", or do
>> you mean the directory containing the (real) emacs executable?
> 
> The latter, of course.
> 
> We never look in CWD, unless it happens to be invocation-directory.

My concerns were all due to a misunderstanding, then.

Plus a lack of familiarity with the `invocation-directory' variable,
which would have clued me in.  FWIW I think that mis-interpreting
"where it was invoked" and similar phrases as meaning "where the
user ran 'emacs' from" is a particularly easy mistake to make if you
don't already know better, so that could be a good thing to habitually
write as `invocation-directory' to steer people in the right direction.

Sorry for the noise.